import request from "@/utils/request";
// 事故快报
export function getAccidentList(data) {
  return request({
    url: "zzhController/getAccidentList.action",
    method: "get",
    params: data,
  });
}
// 资料库
export function getWxData_baseList(data) {
  return request({
    url: "zzhController/getWxData_baseList.action",
    method: "get",
    params: data,
  });
}
// 专家库 机构库
export function getMemberList(data) {
  return request({
    url: "zzhController/getMemberList.action",
    method: "get",
    params: data,
  });
}
// 风险库行业
export function getRiskTypelistWX(data) {
  return request({
    url: "/adminController/getRiskTypelistWX.action",
    method: "get",
    params: data,
  });
}
// 子行业
export function getRiskClassListWX(data) {
  return request({
    url: "/adminController/getRiskClassListWX.action",
    method: "get",
    params: data,
  });
}
//分项
export function getRiskListWX(data) {
  return request({
    url: "/adminController/getRiskListWX.action",
    method: "get",
    params: data,
  });
}
// 风险库详情
export function getRiskDetaidentBySidWX(data) {
  return request({
    url: "/adminController/getRiskDetaidentBySidWX.action",
    method: "get",
    params: data,
  });
}
// 资料库分类
export function getDataBaseType(data) {
  return request({
    url: "/zzhController/getDataBaseType.action",
    method: "get",
    params: data,
  });
}
// 机构库详情
export function getMemberBySid(data) {
  return request({
    url: "/zzhController/getMemberBySid.action",
    method: "get",
    params: data,
  });
}
// 机构库相关推荐
export function getOrgMember(data) {
  return request({
    url: "/zzhController/getOrgMember.action",
    method: "get",
    params: data,
  });
}
// 省份
export function getPosition(data) {
  return request({
    url: "/zzhController/getPosition.action",
    method: "get",
    params: data,
  });
}
// 市
export function getPpositionByB(data) {
  return request({
    url: "/zzhController/getPpositionByB.action",
    method: "get",
    params: data,
  });
}
// 专家相关资料
export function getDataBaseList(data) {
  return request({
    url: "/zzhController/getDataBaseList.action",
    method: "get",
    params: data,
  });
}
// 事故类型
export function getAccidentType(data) {
  return request({
    url: "/zzhController/getAccidentType.action",
    method: "get",
    params: data,
  });
}
// 事故等级
export function getAccidentLevel(data) {
  return request({
    url: "/zzhController/getAccidentLevel.action",
    method: "get",
    params: data,
  });
}
// 事故快报详情
export function getAccidentBysid(data) {
  return request({
    url: "/zzhController/getAccidentBysid.action",
    method: "get",
    params: data,
  });
}
// 法规库
export function getAllLawDetailList(data) {
  return request({
    url: "/zzhController/getAllLawDetailList.action",
    method: "get",
    params: data,
  });
}
// 法规类型
export function getAllLibLawType(data) {
  return request({
    url: "/zzhController/getAllLibLawType.action",
    method: "get",
    params: data,
  });
}
// 法规适用领域
export function getAllLibLawIndustry(data) {
  return request({
    url: "/zzhController/getAllLibLawIndustry.action",
    method: "get",
    params: data,
  });
}
// 法规详情
export function getLawDetailBysid(data) {
  return request({
    url: "/zzhController/getLawDetailBysid.action",
    method: "get",
    params: data,
  });
}
// 登录
export function addMemberPcLogin(data) {
  return request({
    url: "/zzhController/addMemberPcLogin.action",
    method: "get",
    params: data,
  });
}
// 获取用户userid、sid、member
export function getMemberPcLogin(data) {
  return request({
    url: "/zzhController/getMemberPcLogin.action",
    method: "get",
    params: data,
  });
}
// 判断用户是否有邮箱
export function getMemberPointsAndEmail(data) {
  return request({
    url: "/zzhController/getMemberPointsAndEmail.action",
    method: "get",
    params: data,
  });
}
// 法规下载
export function getFileDownlode(data) {
  return request({
    url: "/zzhController/getFileDownlode.action",
    method: "get",
    params: data,
  });
}
// 增加法规预览量
export function updateLawPreview(data) {
  return request({
    url: "/zzhController/updateLawPreview.action",
    method: "get",
    params: data,
  });
}
// 增加法规下载量
export function updateLawDownload(data) {
  return request({
    url: "/zzhController/updateLawDownload.action",
    method: "get",
    params: data,
  });
}
// 资料库详情
export function getWxDataBaseBySid(data) {
  return request({
    url: "/zzhController/getWxDataBaseBySid.action",
    method: "get",
    params: data,
  });
}
// 增加资料下载量
export function updateDataBaseNum(data) {
  return request({
    url: "/zzhController/updateDataBaseNum.action",
    method: "get",
    params: data,
  });
}
// 点击个人中心
export function getAuthUser(data) {
  return request({
    url: "/zzhController/getAuthUser.action",
    method: "get",
    params: data,
  });
}
// 推荐事故
export function getAccidentRecommend(data) {
  return request({
    url: "/zzhController/getAccidentRecommend.action",
    method: "get",
    params: data,
  });
}
// 法规高级搜索是否超过今日搜索量
export function getDataSeeCount(data) {
  return request({
    url: "/zzhController/getDataSeeCount.action",
    method: "get",
    params: data,
  });
}
// 法规高级搜索 查询数据
export function getLibLawSearch(data) {
  return request({
    url: "/zzhController/getLibLawSearch.action",
    method: "get",
    params: data,
  });
}
// 事故快报查看是否超过今日查看量
export function getDangerSee(data) {
  return request({
    url: "/zzhController/getDangerSee.action",
    method: "get",
    params: data,
  });
}
// 精品风险库事故快报详情
export function getRiskPayorder(data) {
  return request({
    url: "/zzhController/getRiskPayorder.action",
    method: "get",
    params: data,
  });
}

